
/* 
 * Copyright (c) 2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef zone_POSTER_XML_LIB_H
#define zone_POSTER_XML_LIB_H

#include "genom/posterXMLLib.h"

#include "zonePrintXML.h"
#include "zonePosterLib.h"

/* Prototypes */
void webzone(FILE *f, int argc, char **argv, char **argn);
extern STATUS zoneCntrlPosterXML (FILE *f);
extern STATUS zoneCntrlPosterActivityXML (FILE *f);
extern STATUS zoneTARGETMapPosterXML (FILE *f);
extern STATUS zoneTARGETMapZONES_MAPPosterXML (FILE *f);
extern STATUS zoneTARGETRobotInPosterXML (FILE *f);
extern STATUS zoneTARGETRobotInZONES_OCCUPIEDPosterXML (FILE *f);
extern STATUS zoneSPECIALMapPosterXML (FILE *f);
extern STATUS zoneSPECIALMapZONES_MAPPosterXML (FILE *f);
extern STATUS zoneSPECIALRobotInPosterXML (FILE *f);
extern STATUS zoneSPECIALRobotInZONES_OCCUPIEDPosterXML (FILE *f);
extern STATUS zoneSPECIALMobile1InPosterXML (FILE *f);
extern STATUS zoneSPECIALMobile1InZONES_OCCUPIEDPosterXML (FILE *f);
extern STATUS zoneSPECIALMobile2InPosterXML (FILE *f);
extern STATUS zoneSPECIALMobile2InZONES_OCCUPIEDPosterXML (FILE *f);
extern STATUS zoneSPECIALMobile3InPosterXML (FILE *f);
extern STATUS zoneSPECIALMobile3InZONES_OCCUPIEDPosterXML (FILE *f);
extern STATUS zoneVIRTUAL_OBSTMapPosterXML (FILE *f);
extern STATUS zoneVIRTUAL_OBSTMapZONES_MAPPosterXML (FILE *f);
extern STATUS zoneVIRTUAL_OBSTRobotInPosterXML (FILE *f);
extern STATUS zoneVIRTUAL_OBSTRobotInZONES_OCCUPIEDPosterXML (FILE *f);
extern STATUS zoneNavMapPosterXML (FILE *f);
extern STATUS zoneNavMapMapPosterXML (FILE *f);
extern STATUS zoneNavObstsPosterXML (FILE *f);
extern STATUS zoneNavObstsHeaderPosterXML (FILE *f);
extern STATUS zoneNavObstsObstaclesPosterXML (FILE *f);
#endif /* ZONE_POSTER_XML_LIB_H */

